# PSocket::SelectList Class Reference

List of sockets used for Select() function. More...

`#include <socket.h>`

List of all members.

## Public Member Functions

| SelectList ()
void | operator+= (PSocket &sock)
| Add a socket to list .
void | operator-= (PSocket &sock)
| Remove a socket from list .

## Detailed Description

List of sockets used for Select() function.

## Constructor & Destructor Documentation

PSocket::SelectList::SelectList | ( |  | ) | `[inline]`

## Member Function Documentation

void PSocket::SelectList::operator+= | ( | PSocket & | sock | ) | `[inline]`

Add a socket to list .

Parameters:

  sock | Socket to add.

void PSocket::SelectList::operator-= | ( | PSocket & | sock | ) | `[inline]`

Remove a socket from list .

Parameters:

  sock | Socket to remove.

The documentation for this class was generated from the following file:

- socket.h